GET
/api/v1/nodes/{node_id}/monitor/server-health-info/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/monitor/server-health-info/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/monitor/server-health-info/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/monitor/server-health-info/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”node_id
required
string
Path parameter node_id.
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>apikey
required
string
API key used to authenticate the request
Example
<API_KEY>location
required
string
Specifies the target location for which health information is requested.
Example
<LOCATION>Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
code
HTTP status code indicating the health check result
integer
data
object
host_uptime
Human-readable server uptime duration
string
memory
object
labels
Array<string>
results
Array<string>
disk
object
labels
Array<string>
results
Array<string>
errors
object
message
Status message indicating the result of the health check
string
Example
{ "code": 200, "data": { "host_uptime": "49 Minutes ", "memory": { "labels": [ "Free Memory (GB)" ], "results": [ "4.80" ] }, "disk": { "labels": [ "Free Disk Space (GB)" ], "results": [ "87.94" ] } }, "message": "Success"}